package cz.moneta.test.dsl.util.task.auto;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.task.auto.smartauto.SmartAutoTasks;
import cz.moneta.test.dsl.util.task.auto.smartauto.cr.SmartAutoCrTasks;
import cz.moneta.test.dsl.util.task.auto.smartauto.df.SmartAutoDfTasks;
import cz.moneta.test.dsl.util.task.auto.smartauto.setman.SmartAutoSetmanTasks;

public class AutoTasks {

    private final Harness harness;

    public AutoTasks(Harness harness) {
        this.harness = harness;
    }

    public SmartAutoTasks smartAuto() {
        return new SmartAutoTasks(harness);
    }

    public SmartAutoSetmanTasks smartAutoSetman() {
        return new SmartAutoSetmanTasks(harness);
    }

    public SmartAutoDfTasks smartAutoDf() {
        return new SmartAutoDfTasks(harness);
    }

    public SmartAutoCrTasks smartAutoCr() {
        return new SmartAutoCrTasks(harness);
    }
}
